package sun.java2d.pipe;

import sun.java2d.SunGraphics2D;

public interface PixelFillPipe
{
    public abstract void fillRect(SunGraphics2D p0, int p1, int p2, int p3, int p4);
    
    public abstract void fillRoundRect(SunGraphics2D p0, int p1, int p2, int p3, int p4, int p5, int p6);
    
    public abstract void fillOval(SunGraphics2D p0, int p1, int p2, int p3, int p4);
    
    public abstract void fillArc(SunGraphics2D p0, int p1, int p2, int p3, int p4, int p5, int p6);
    
    public abstract void fillPolygon(SunGraphics2D p0, int[] p1, int[] p2, int p3);
}
